function i = printcurves(s)

% N = PRINTCURVE(I)
%
% S: ...
%
% N: ...
%
% PRINT displays fronts saved in 'Curves'. ...

  
  global x y n Fronts

  Delta_x = x(2) - x(1);
  Delta_y = y(2) - y(1);
  LimitDistance = sqrt( Delta_x^2 + Delta_y^2 );
  
  figure;
  axis([x(1) x(end) y(1) y(end)]);
  hold on

  for i=s
    
    LastX = Fronts{i}(1, 1);
    LastY = Fronts{i}(1, 2);
    
    for j=1:size(Fronts{i},1)-1
      if ( sqrt( (Fronts{i}(j,1) - Fronts{i}(j+1,1))^2 + (Fronts{i}(j,2) - Fronts{i}(j+1,2))^2 ) < LimitDistance)
	plot([Fronts{i}(j, 1); Fronts{i}(j+1, 1)], [Fronts{i}(j, 2); Fronts{i}(j+1, 2)], '-b')
      else
	if ( sqrt( (Fronts{i}(j,1) - LastX)^2 + (Fronts{i}(j,2) - LastY)^2 ) < LimitDistance)
	  plot([Fronts{i}(j, 1); LastX], [Fronts{i}(j, 2); LastY], '-b')
	end
	LastX = Fronts{i}(j+1, 1);
	LastY = Fronts{i}(j+1, 2);
      end
    end
    j = size(Fronts{i},1);
    if ( sqrt( (Fronts{i}(j,1) - Fronts{i}(1,1))^2 + (Fronts{i}(j,2) - Fronts{i}(1,2))^2 ) < LimitDistance)
      plot([Fronts{i}(j, 1); Fronts{i}(1, 1)], [Fronts{i}(j, 2); Fronts{i}(1, 2)], '-b')
    else
      if ( sqrt( (Fronts{i}(j,1) - LastX)^2 + (Fronts{i}(j,2) - LastY)^2 ) < LimitDistance)
	plot([Fronts{i}(j, 1); LastX], [Fronts{i}(j, 2); LastY], '-b')
      end
    end
  end
  set(gcf, 'Position', [100 100 600 600]);
  
  return;