import java.awt.*;

public class Parameter extends Panel{
	Label name;
	TextField value;
	String defaultValue;
	String tag;

	public Parameter(String name0, String value0, String tag0){
		name = new Label(name0);
		value = new TextField(value0, 40);
		defaultValue = value0;
		tag = tag0;
		
		name.setAlignment(Label.LEFT);
		GridLayout l = new GridLayout(1, 2);
		this.setLayout(l);
		this.add(name);
		this.add(value);
	}
	
	public Parameter(String name0, String value0, String tag0, int size){
		name = new Label(name0);
		value = new TextField(value0, size);
		defaultValue = value0;
		tag = tag0;
		
		name.setAlignment(Label.LEFT);
		GridLayout l = new GridLayout(1, 2);
		this.setLayout(l);
		this.add(name);
		this.add(value);
	}

	public String getValue(){
		return value.getText();
	}
	
	public void setToDefault(){
		value.setText(defaultValue);
	}

}